Need help w/ creating initial yocto environment targeting LS1046A

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Need help w/ creating initial yocto environment targeting LS1046A

455 Views
devnull0
Contributor II

WHAT I'M TRYING TO DO ... 

Relatively new to yocto, I'm looking for guidance/docs that can walk me through building a basic poky image targeting a LS1046A with basic capability (Serial/Networking) no cloud or fancy gui needed. I have a custom board i'm targeting but I also have access to a FRWYLS1046A dev board. I'm trying to cook an image to test on FRWYLS1046A and then eventually deploy to my custom board.

WHAT I'M HAVING TROUBLE WITH ...

I've found a collection of documents LSDK Yocto User Guide and some incomplete weird looking doc here . Need someone to straighten me out with the docs I should be referencing and yocto branch versions I should be checking out (dundell, mickledore) for targeting LS1046A.

Lastly, what are the bare minimum meta-layers I need to build a basic poky image with serial port and networking capability? Again, I don't need a GUI. I've curated a rough list below but maybe i'm missing something.

Meta Layer NameURL Link
poky
meta-freescale
meta-openembedded
meta-qoriq
meta-arm

 

0 Kudos
3 Replies

433 Views
josephlinares
NXP TechSupport
NXP TechSupport

Hi,

Thank you for your interest in NXP Semiconductor products,

LS1046A boards have been supported every yocto release, you can check individually each manifest's README to see if the board is supported, e.g. latest release mickledore.

And the basic layers can be extracted from fsl-image-mfgtool recipe.

josephlinares_0-1698083510697.png

Regards

0 Kudos

391 Views
devnull0
Contributor II

Hi @josephlinares ~


I've walked through the LSDK YOCTO User Guide and either your documentation is out of date or there's been updates to various meta layers which is causing a recipe error.

I followed section 3.2 and 4 but wanted to build the fsl-image-mfgtool w/ bitbake. You guys have an include statement in the file "meta-qoriq/recipes-security/optee/optee-os-qoriq.inc" that is saying file "recipes-security/optee/optee-os.inc" is required. There is no such file so I receive this error ... 

~/yocto/build_ls1046afrwy took 8s 
✦ ❯ bitbake fsl-image-mfgtool
Loading cache: 100% | | ETA: --:--:--
Loaded 0 entries from dependency cache.
ERROR: ParseError at /home/devnull0/yocto/sources/meta-qoriq/recipes-security/optee/optee-os-qoriq.inc:2: Could not include required file recipes-security/optee/optee-os.inc | ETA: 0:00:15
ERROR: Parsing halted due to errors, see error messages above

Summary: There were 2 ERROR messages, returning a non-zero exit code.


 Could you please provide instructions on ...
1) Why does this file not exist and what is the path forward in fixing it?
2) How would I disable this optee all together?
3) You mention section 4.8.5, what document is this from?

0 Kudos

369 Views
josephlinares
NXP TechSupport
NXP TechSupport

Hi,

It's easier with Layerscape LDP Users Guide, which is the document I sent you.

You can redo this by running:

$: mkdir ~/bin
$: curl http://commondatastorage.googleapis.com/git-repo-downloads/repo  > ~/bin/repo
$: chmod a+x ~/bin/repo
$: PATH=${PATH}:~/bin
$: mkdir yocto-sdk
$: cd yocto-sdk
$: repo init -u https://github.com/nxp-qoriq/yocto-sdk -b <branch>
$: repo sync --force-sync
$: . ./setup-env -m ls2088ardb
$: bitbake fsl-image-networking

Regards,

0 Kudos